Mailinglist Archive: opensuse-updates (144 mails)

< Previous Next >
openSUSE-SU-2015:2246-1: important: Security update to MariaDB 5.5.46
openSUSE Security Update: Security update to MariaDB 5.5.46
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:2246-1
Rating: important
References:
Cross-References: CVE-2015-4792 CVE-2015-4802 CVE-2015-4807
CVE-2015-4815 CVE-2015-4826 CVE-2015-4830
CVE-2015-4836 CVE-2015-4858 CVE-2015-4861
CVE-2015-4870 CVE-2015-4913
Affected Products:
openSUSE 13.1
______________________________________________________________________________

An update that fixes 11 vulnerabilities is now available.

Description:

MariaDB was updated to 5.5.46 to fix security issues and bugs.

The following vulnerabilities were fixed in the upstream release:

CVE-2015-4802, CVE-2015-4807, CVE-2015-4815, CVE-2015-4826,
CVE-2015-4830, CVE-2015-4836, CVE-2015-4858, CVE-2015-4861, CVE-2015-4870,
CVE-2015-4913, CVE-2015-4792

A list of upstream changes and release notes can be found here:
https://mariadb.com/kb/en/mariadb/mariadb-5546-release-notes/
https://mariadb.com/kb/en/mariadb/mariadb-5546-changelog/


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-890=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

libmysqlclient-devel-5.5.46-13.1
libmysqlclient18-5.5.46-13.1
libmysqlclient18-debuginfo-5.5.46-13.1
libmysqlclient_r18-5.5.46-13.1
libmysqld-devel-5.5.46-13.1
libmysqld18-5.5.46-13.1
libmysqld18-debuginfo-5.5.46-13.1
mariadb-5.5.46-13.1
mariadb-bench-5.5.46-13.1
mariadb-bench-debuginfo-5.5.46-13.1
mariadb-client-5.5.46-13.1
mariadb-client-debuginfo-5.5.46-13.1
mariadb-debuginfo-5.5.46-13.1
mariadb-debugsource-5.5.46-13.1
mariadb-errormessages-5.5.46-13.1
mariadb-test-5.5.46-13.1
mariadb-test-debuginfo-5.5.46-13.1
mariadb-tools-5.5.46-13.1
mariadb-tools-debuginfo-5.5.46-13.1

- openSUSE 13.1 (x86_64):

libmysqlclient18-32bit-5.5.46-13.1
libmysqlclient18-debuginfo-32bit-5.5.46-13.1
libmysqlclient_r18-32bit-5.5.46-13.1


References:

https://www.suse.com/security/cve/CVE-2015-4792.html
https://www.suse.com/security/cve/CVE-2015-4802.html
https://www.suse.com/security/cve/CVE-2015-4807.html
https://www.suse.com/security/cve/CVE-2015-4815.html
https://www.suse.com/security/cve/CVE-2015-4826.html
https://www.suse.com/security/cve/CVE-2015-4830.html
https://www.suse.com/security/cve/CVE-2015-4836.html
https://www.suse.com/security/cve/CVE-2015-4858.html
https://www.suse.com/security/cve/CVE-2015-4861.html
https://www.suse.com/security/cve/CVE-2015-4870.html
https://www.suse.com/security/cve/CVE-2015-4913.html


< Previous Next >
This Thread
  • No further messages